package com.chenyang.nse.bussiness.entity.vo.dataproject;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;

public class TDataProjectReqVO {
   private LoginUser loginUser;
   private int page;
   private int everypage;
   private int totalPage;
   private String proName;
   private String note;

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public int getPage() {
      return this.page;
   }

   public int getEverypage() {
      return this.everypage;
   }

   public int getTotalPage() {
      return this.totalPage;
   }

   public String getProName() {
      return this.proName;
   }

   public String getNote() {
      return this.note;
   }

   public void setLoginUser(final LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public void setPage(final int page) {
      this.page = page;
   }

   public void setEverypage(final int everypage) {
      this.everypage = everypage;
   }

   public void setTotalPage(final int totalPage) {
      this.totalPage = totalPage;
   }

   public void setProName(final String proName) {
      this.proName = proName;
   }

   public void setNote(final String note) {
      this.note = note;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TDataProjectReqVO)) {
         return false;
      } else {
         TDataProjectReqVO other = (TDataProjectReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$loginUser = this.getLoginUser();
            Object other$loginUser = other.getLoginUser();
            if (this$loginUser == null) {
               if (other$loginUser != null) {
                  return false;
               }
            } else if (!this$loginUser.equals(other$loginUser)) {
               return false;
            }

            if (this.getPage() != other.getPage()) {
               return false;
            } else if (this.getEverypage() != other.getEverypage()) {
               return false;
            } else if (this.getTotalPage() != other.getTotalPage()) {
               return false;
            } else {
               Object this$proName = this.getProName();
               Object other$proName = other.getProName();
               if (this$proName == null) {
                  if (other$proName != null) {
                     return false;
                  }
               } else if (!this$proName.equals(other$proName)) {
                  return false;
               }

               Object this$note = this.getNote();
               Object other$note = other.getNote();
               if (this$note == null) {
                  if (other$note != null) {
                     return false;
                  }
               } else if (!this$note.equals(other$note)) {
                  return false;
               }

               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TDataProjectReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $loginUser = this.getLoginUser();
      result = result * 59 + ($loginUser == null ? 43 : $loginUser.hashCode());
      result = result * 59 + this.getPage();
      result = result * 59 + this.getEverypage();
      result = result * 59 + this.getTotalPage();
      Object $proName = this.getProName();
      result = result * 59 + ($proName == null ? 43 : $proName.hashCode());
      Object $note = this.getNote();
      result = result * 59 + ($note == null ? 43 : $note.hashCode());
      return result;
   }

   public String toString() {
      return "TDataProjectReqVO(loginUser=" + this.getLoginUser() + ", page=" + this.getPage() + ", everypage=" + this.getEverypage() + ", totalPage=" + this.getTotalPage() + ", proName=" + this.getProName() + ", note=" + this.getNote() + ")";
   }
}
